﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlyADBase
{
    public class DriveStatusChangedEventArgs : EventArgs
    {
        /// <summary>
        /// 开始时间点
        /// </summary>
        public DateTime Time;
        /// <summary>
        /// 指令
        /// </summary>
        public DRIVE_MAN_ORDER DriveOrder;
        /// <summary>
        /// 指令状态
        /// </summary>
        public DRIVE_MAN_STATUS DriveStatus;
        /// <summary>
        /// 同步标识
        /// </summary>
        public int Marker;
    }

    public delegate void DriveStatusChangedEventHandler(object sender, DriveStatusChangedEventArgs e);
}
