﻿using FLY.Thick.Base.IService;
using System;

namespace FLY.Thick.Base.Client
{
    public class RejectServiceClient : FObjBase.Reflect.Reflect_SeviceClient, IRejectService
    {
        protected override Type InterfaceType => typeof(IRejectService);

        public RejectServiceClient(UInt32 id) : base(id)
        {
        }
        public RejectServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }

        public void Apply()
        {
            Call(nameof(Apply));

        }
        #region IRejectService 成员

        public bool Enable { get; set; }
        public double ThresholdRatio { get; set; }

        public bool IsPercent { get; set; }

        public double PSigma { get; set; }


        public int Sigma { get; set; }

        public int Range1 { get; set; }


        public int Range2 { get; set; }

        [PropertyChanged.DoNotCheckEquality]
        public int[] FilterDatas { get; set; }

        [PropertyChanged.DoNotCheckEquality]
        public int[] RejectDatas { get; set; }


        [PropertyChanged.DoNotCheckEquality]
        public int[] SigmaDatas { get; set; }


        public int PosOfGrid { get; set; } = 10;

        private int poslen = 8900;
        public int PosLen { get; set; } = 8900;

        public int Target { get; set; }

        #endregion

    }
}
